/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: IllegalObjectStateException.java,v 1.1 2005/02/28 13:26:40 rampil Exp $
 */
package org.logical_paradox.common.lang;

/**
 * 不正なオブジェクトの状態を検出する例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class IllegalObjectStateException extends Exception {
	/**
	 * コンストラクタ
	 *
	 */
	public IllegalObjectStateException() {
	}
	/**
	 * コンストラクタ
	 * @param msg 付加情報
	 */
	public IllegalObjectStateException(String msg) {
		super(msg);
	}
}
